
Redmine - Defect #18779

Error: The single-table inheritance mechanism failed to locate the subclass: 'GroupNonMember'

2015-01-08 07:15 - zeke lee

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.0

Description

I can't access the project setting page and here is the error log

ActionView::Template::Error (The single-table inheritance mechanism failed to locate the subclass: 'GroupNonMember'. This error is

raised because the column 'type' is reserved for storing the class in case of inheritance. Please rename this column if you didn't

intend it to be used for storing the inheritance class or overwrite Principal.inheritance_column to use another column for that

information.):

Related issues:

Has duplicate Redmine - Defect #19272: Internal error if I try to go to setti... Closed

History

#1 - 2015-01-08 07:56 - Toshi MARUYAMA

- Category deleted (Activity view)

- Status changed from New to Needs feedback

It seems you use Redmine 2.6.0 database on 2.5.0.

Because GroupNonMember is introduced by r13417 #17976.

#2 - 2015-01-08 08:09 - zeke lee

oh, may be it is ; Yesterday I install redmine by bitnami, and I reinstall the redmine in a new linux machine, and i dump the mysql data to it.

how to fix it ?  where is the  GroupNonMember in database;

sorry, my english is so poor, thanks!

#3 - 2015-01-08 08:14 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

There is no easy way.

Please google "rake db:migrate:down VERSION=".

#4 - 2015-02-01 19:21 - Ladislav Nesnera

Have you solved this problem? I have the same. :-(

#5 - 2015-03-05 03:27 - Toshi MARUYAMA

- Has duplicate Defect #19272: Internal error if I try to go to settings of a project-Reg added

#6 - 2015-03-05 03:28 - Toshi MARUYAMA

- Subject changed from ActionView::Template::Error to The single-table inheritance mechanism failed to locate the subclass: 'GroupNonMember'

#7 - 2015-03-05 03:28 - Toshi MARUYAMA

- Subject changed from The single-table inheritance mechanism failed to locate the subclass: 'GroupNonMember' to Error: The single-table inheritance

mechanism failed to locate the subclass: 'GroupNonMember'

#8 - 2019-05-31 04:28 - Martín Tolava

2025-05-02 1/2

https://www.redmine.org/versions/81
https://www.redmine.org/versions/75
https://www.redmine.org/projects/redmine/repository/svn/revisions/13417
https://www.redmine.org/issues/17976


I fix it following this tutorial

http://blog.daum.net/_blog/BlogTypeView.do?blogid=0ZC9T&articleno=36&categoryId=0http://
